<form class="{{cssClass}}" autocomplete="off">

    {{!-- Character Sheet Sections --}}
    <div class="sheet-section-container">

        <div class="sheet-fixed-container">
            <div class="character-profile-container">
                <div class="profile-img-container">
                    <img class="profile-img" src="{{actor.img}}" data-edit="img" title="{{actor.name}}">
                    <div class="status-column">
                        <div class="vertical-flex-container">
                            <img id="wound-icon" src="icons/skills/wounds/blood-drip-droplet-red.webp" title="Wounded {{data.woundPenalty}}">
                            <img id="fatigue-icon" src="icons/magic/control/debuff-energy-hold-green.webp" title="Fatigued {{data.fatigue.penalty}}">
                            <img id="enc-icon" src="icons/containers/bags/pack-leather-brown.webp" title="{{data.carry_rating.label}} {{data.carry_rating.penalty}}">
                        </div>
                    </div>
                </div>
                <nav class="sheet-tabs tabs" data-group="primary">
                    <a class="item" data-tab="core">Info</a>
                    <a class="item" data-tab="combat">Combat</a>
                    <a class="item" data-tab="magic">Magie</a>
                    <a class="item" data-tab="equipment">Items</a>
                </nav>
                <div>
                    <h1 class="charname"><input type="text" name="name" value="{{actor.name}}" placeholder="Name"></h1>
                </div>
            </div>
            <div class="fixed-data-container">
                <div class="resourceBars">
                    <div id="hpResource">
                        <div class="resourceLabel">
                            <button type="button" data-resource="hp">Vie</button>
                            <div class="resourceButton">
                                <i data-action="increase" data-resource="hp" class="fas fa-angle-up incrementResource"></i>
                                <i data-action="decrease" data-resource="hp" class="fas fa-angle-down incrementResource"></i>
                            </div>
                        </div>
                        <div class="maxBar" data-resource="hp">
                            <div class="bar-values">
                                <input type="number" name="data.hp.value" value="{{data.hp.value}}"> / <label>{{data.hp.max}}</label>
                            </div>
                            <div id="hpBar" class="currentBar" data-resource="hp"></div>
                        </div>
                    </div>
                    <div id="magickaResource">
                        <div class="resourceLabel">
                            <button type="button" data-resource="magicka">Mana</button>
                            <div class="resourceButton">
                                <i data-action="increase" data-resource="magicka" class="fas fa-angle-up incrementResource"></i>
                                <i data-action="decrease" data-resource="magicka" class="fas fa-angle-down incrementResource"></i>
                            </div>
                        </div>
                        <div class="maxBar" data-resource="magicka">
                            <div class="bar-values">
                                <input type="number" name="data.magicka.value" value="{{data.magicka.value}}"> / <label>{{data.magicka.max}}</label>
                            </div>
                            <div id="magickaBar" class="currentBar" data-resource="magicka"></div>
                        </div>
                    </div>
                </div>

                <div class="characteristics-container">
                    <h2>
                        <button type="button" class="setBaseCharacteristics">Set</button>
                        <div>Characteristiques</div>
                    </h2>
                    <div class="characteristic-entry-container">
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="data.characteristics.str.favored" {{checked data.characteristics.str.favored}}>
                            <div id="str" name="Strength" class="characteristic-roll styled-font rollable">Force</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{data.characteristics.str.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="data.characteristics.agi.favored" {{checked data.characteristics.agi.favored}}>
                            <div id="agi" name="Agility" class="characteristic-roll styled-font rollable">Agilité</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{data.characteristics.agi.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="data.characteristics.int.favored" {{checked data.characteristics.int.favored}}>
                            <div id="int" name="Intelligence" class="characteristic-roll styled-font rollable">Intelligence</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{data.characteristics.int.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="data.characteristics.prc.favored" {{checked data.characteristics.prc.favored}}>
                            <div id="prc" name="Perception" class="characteristic-roll styled-font rollable">Perception</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{data.characteristics.prc.total}}</div>
                            </div>
                        </div>
                        <div class="characteristic">
                            <input class="checkbox" type="checkbox" name="data.characteristics.prs.favored" {{checked data.characteristics.prs.favored}}>
                            <div id="prs" name="Personality" class="characteristic-roll styled-font rollable">Social</div>
                            <div class="right-align-content">
                                <div class="styled-font red">{{data.characteristics.prs.total}}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <section class="sheet-body">
            <div class="tab core" data-group="primary" data-tab="core">
                <div class="tabContainer">
                    <div class="about-buttons">
                        <div class="npc-button-stats">
                            <div>
                                <div class="styled-font">Energie d'Ame</div>
                                <input type="text" name="data.soul_energy" placeholder="Soul Energy" value="{{data.soul_energy}}">
                            </div>
                            <div>
                                <div class="styled-font">Race</div>
                                <input type="text" placeholder="Race" value="{{data.race}}">
                            </div>
                            <div>
                                <div class="styled-font">Menace</div>
                                <select name="data.threat" data-type="String">
                                    {{#select actor.data.threat}}
                                    {{#each actor.data.threatCategory as |threatCategory key|}}
                                    <option value="{{key}}">{{threatCategory}}</option> 
                                    {{/each}} {{/select}}
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="skillContainer">
                        <h2 class="headerWithButton">
                            <label>Professions</label>
                        </h2>
                        <ul class="skillList">
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Combat" id="combat"></i>
                                    <img class="item-img" src="icons/skills/melee/weapons-crossed-swords-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">Combat</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.professions.combat" value="{{data.professions.combat}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Evade" id="evade"></i>
                                    <img class="item-img" src="icons/skills/movement/arrow-upward-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">Evasion</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.professions.evade" value="{{data.professions.evade}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Knowledge" id="knowledge"></i>
                                    <img class="item-img" src="icons/skills/trades/academics-study-reading-book.webp" title="Send to Chat"/>
                                    <div class="skill-name">Connaissance</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.professions.knowledge" value="{{data.professions.knowledge}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Magic" id="magic"></i>
                                    <img class="item-img" src="icons/sundries/books/book-open-purple.webp" title="Send to Chat"/>
                                    <div class="skill-name">Magie</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.professions.magic" value="{{data.professions.magic}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Observe" id="observe"></i>
                                    <img class="item-img" src="icons/magic/perception/eye-ringed-green.webp" title="Send to Chat"/>
                                    <div class="skill-name">Observation</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.professions.observe" value="{{data.professions.observe}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Physical" id="physical"></i>
                                    <img class="item-img" src="icons/skills/melee/unarmed-punch-fist.webp" title="Send to Chat"/>
                                    <div class="skill-name">Physique</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.professions.physical" value="{{data.professions.physical}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Social" id="social"></i>
                                    <img class="item-img" src="icons/skills/social/diplomacy-peace-alliance.webp" title="Send to Chat"/>
                                    <div class="skill-name">Social</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.professions.social" value="{{data.professions.social}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="Stealth" id="stealth"></i>
                                    <img class="item-img" src="systems/deadend-d100-FR/images/Icons/invisible.webp" title="Send to Chat"/>
                                    <div class="skill-name">Furtivité</div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.professions.stealth" value="{{data.professions.stealth}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="{{data.skills.commerce.specialization}}" id="commerce"></i>
                                    <img class="item-img" src="icons/skills/social/trading-justice-scale-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">
                                        <div class="skill-name">Commerce</div>
                                    </div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.skills.commerce.tn" value="{{data.skills.commerce.tn}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="{{data.skills.profession1.specialization}}" id="profession1"></i>
                                    <img class="item-img" src="icons/skills/social/trading-justice-scale-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">
                                        <input type="text" placeholder="Profession 1" name="data.skills.profession1.specialization" value="{{data.skills.profession1.specialization}}">
                                    </div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.skills.profession1.tn" value="{{data.skills.profession1.tn}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="{{data.skills.profession2.specialization}}" id="profession2"></i>
                                    <img class="item-img" src="icons/skills/social/trading-justice-scale-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">
                                        <input type="text" placeholder="Profession 2" name="data.skills.profession2.specialization" value="{{data.skills.profession2.specialization}}">
                                    </div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.skills.profession2.tn" value="{{data.skills.profession2.tn}}"/>%</div>
                                </div>
                            </li>
                            <li class="npc-item">
                                <div class="itemInfo">
                                    <i class="fas fa-dice-d20 professions-roll" name="{{data.skills.profession3.specialization}}" id="profession3"></i>
                                    <img class="item-img" src="icons/skills/social/trading-justice-scale-yellow.webp" title="Send to Chat"/>
                                    <div class="skill-name">
                                        <input type="text" placeholder="Profession 3" name="data.skills.profession3.specialization" value="{{data.skills.profession3.specialization}}">
                                    </div>
                                </div>
                                <div class="item-controls">
                                    <div class="item-value profession"><input type="number" name="data.skills.profession3.tn" value="{{data.skills.profession3.tn}}"/>%</div>
                                </div>
                            </li>
                        </ul>
                    </div>

                    <div class="two-column-flex-container">
                        <div class="languageContainer">
                            <h2 class="headerWithButton">
                                <button type="button" class="item-create" id="language">+</button>
                                <label>Langues</label>
                            </h2>
                            <ol class="single-column-list">
                                {{#each actor.data.language as |item id|}}
                                    <li class="item" data-item-id="{{item._id}}">
                                        <div class="itemInfo">
                                            <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                            <div class="item-name">{{item.name}}</div>
                                        </div>
                                        <div class="item-controls">
                                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </li>
                                {{/each}}
                            </ol>
                        </div>
                        <div class="factionContainer">
                            <h2 class="headerWithButton">
                                <button type="button" class="item-create" id="faction">+</button>
                                <label>Factions</label>
                            </h2>
                            <ol class="single-column-list">
                                {{#each actor.data.faction as |item id|}}
                                    <li class="item" data-item-id="{{item._id}}">
                                        <div class="itemInfo">
                                            <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                            <div class="item-name">{{item.name}}</div>
                                        </div>
                                        <div class="item-controls">
                                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </li>
                                {{/each}}
                            </ol>
                        </div>
                    </div>

                    <div class="bioPage">
                        <h2>Biographie</h2>
                        <div class="contentContainer">
                            {{editor content=data.bio target="data.bio" button=true owner=owner editable=editable}}
                        </div>
                    </div>

                </div>
            </div>

            <div class="tab combat" data-group="primary" data-tab="combat">
                <div class="combatTabContainer">
                    <div class="combat-tab-primary-header">
                        <div class="resistance-container">
                            <h2>Resistances</h2>
                            <div class="resistance-grid">
                                <div class="flex-container">
                                    <div>Physique</div>
                                    <div class="styled-font-red center-align">{{data.resistance.physicR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Magique</div>
                                    <div class="styled-font-red center-align">{{data.resistance.magicR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Feu</div>
                                    <div class="styled-font-red center-align">{{data.resistance.fireR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Froid</div>
                                    <div class="styled-font-red center-align">{{data.resistance.frostR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Eau</div>
                                    <div class="styled-font-red center-align">{{data.resistance.waterR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Air</div>
                                    <div class="styled-font-red center-align">{{data.resistance.airR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Poison</div>
                                    <div class="styled-font-red center-align">{{data.resistance.poisonR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Terre</div>
                                    <div class="styled-font-red center-align">{{data.resistance.earthR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Nature</div>
                                    <div class="styled-font-red center-align">{{data.resistance.natureR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Vent</div>
                                    <div class="styled-font-red center-align">{{data.resistance.windR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Electricité</div>
                                    <div class="styled-font-red center-align">{{data.resistance.electricityR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Lumière</div>
                                    <div class="styled-font-red center-align">{{data.resistance.lightR}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>Ténèbre</div>
                                    <div class="styled-font-red center-align">{{data.resistance.darkR}}</div>
                                </div>
                            </div>
                        </div>
                        <div class="status-controls-container">
                            <h2>Status</h2>
                            <div class="resistance-grid">
                                <div class="flex-container">
                                    <div>{{data.effect_cat.burn.name}}</div>
                                    <div class="styled-font-red center-align">{{data.effect_cat.burn.status}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>{{data.effect_cat.wet.name}}</div>
                                    <div class="styled-font-red center-align">{{data.effect_cat.wet.status}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>{{data.effect_cat.freeze.name}}</div>
                                    <div class="styled-font-red center-align">{{data.effect_cat.freeze.status}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>{{data.effect_cat.paralysis.name}}</div>
                                    <div class="styled-font-red center-align">{{data.effect_cat.paralysis.status}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>{{data.effect_cat.slow.name}}</div>
                                    <div class="styled-font-red center-align">{{data.effect_cat.slow.status}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>{{data.effect_cat.flash.name}}</div>
                                    <div class="styled-font-red center-align">{{data.effect_cat.flash.status}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>{{data.effect_cat.dark.name}}</div>
                                    <div class="styled-font-red center-align">{{data.effect_cat.dark.status}}</div>
                                </div>
                                <div class="flex-container">
                                    <div>{{data.effect_cat.poison.name}}</div>
                                    <div class="styled-font-red center-align">{{data.effect_cat.poison.status}}</div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="combat-item-container">
                        <div class="combat-button-container">
                            <div class="combat-button professions-roll" name="Combat" id="combat">
                                <div class="flex-container">
                                    <div class="combat-button-value">{{data.professions.combat}}</div>
                                    <div class="combat-button-label">Combat</div>
                                </div>
                            </div>
                            <div class="combat-button professions-roll" name="Magic" id="magic">
                                <div class="flex-container">
                                    <div class="combat-button-value">{{data.professions.magic}}</div>
                                    <div class="combat-button-label">Magie</div>
                                </div>
                            </div>
                            <div class="combat-button professions-roll" name="Evade" id="evade">
                                <div class="flex-container">
                                    <div class="combat-button-value">{{data.professions.evade}}</div>
                                    <div class="combat-button-label">Evasion</div>
                                </div>
                            </div>
                            <div class="combat-button professions-roll" name="Physical" id="physical">
                                <div class="flex-container">
                                    <div class="combat-button-value">{{data.professions.physical}}</div>
                                    <div class="combat-button-label">Physique</div>
                                </div>
                            </div>
                            <div class="combat-button professions-roll" name="Observe" id="observe">
                                <div class="flex-container">
                                    <div class="combat-button-value">{{data.professions.observe}}</div>
                                    <div class="combat-button-label">Observation</div>
                                </div>
                            </div>
                            <div class="combat-button professions-roll" name="Stealth" id="stealth">
                                <div class="flex-container">
                                    <div class="combat-button-value">{{data.professions.stealth}}</div>
                                    <div class="combat-button-label">Furtivité</div>
                                </div>
                            </div>
                            <div class="combat-button professions-roll" name="Social" id="social">
                                <div class="flex-container">
                                    <div class="combat-button-value">{{data.professions.social}}</div>
                                    <div class="combat-button-label">Social</div>
                                </div>
                            </div>
                            <div class="combat-button professions-roll" name="Knowledge" id="knowledge">
                                <div class="flex-container">
                                    <div class="combat-button-value">{{data.professions.knowledge}}</div>
                                    <div class="combat-button-label">Connaissance</div>
                                </div>
                            </div>
                        </div>

                        <table class="weapon-table">
                            <thead>
                                <tr>
                                    <th class="item-name-cell equip-items" id="weapon">Arme</th>
                                    <th>Damage</th>
                                    <th>Protée</th>
                                    <th class="right-align-cell"><i class="fas fa-trash"></i></th>
                                </tr>
                            </thead>
                            <tbody>
                                {{#each actor.data.weapon.equipped as |item id|}}
                                    <tr class="item" data-item-id="{{item._id}}">
                                        <td class="item-name-cell">
                                            <div class="flex-container">
                                                <i class="fas fa-dice-d20 damage-roll"></i>
                                                <img class="item-img" src="{{item.img}}">
                                                <div class="item-name">{{item.name}}</div>
                                            </div>
                                        </td>
                                        <td class="damage-entry">{{item.data.damage3}}</td>
                                        <td>{{item.data.reach}}</td>
                                        <td class="right-align-cell"><a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a></td>
                                    </tr>
                                {{/each}}
                            </tbody>
                        </table>

                        <table class="ammunition-table">
                            <thead>
                                <tr>
                                    <th class="item-name-cell equip-items" id="ammunition">Munition</th>
                                    <th>Bonus</th>
                                    <th>Qté</th>
                                    <th class="right-align-cell"><i class="fas fa-trash"></i></th>
                                </tr>
                            </thead>
                            <tbody>
                                {{#each actor.data.ammunition.equipped as |item id|}}
                                    <tr class="item" data-item-id="{{item._id}}">
                                        <td class="item-name-cell">
                                            <div class="flex-container">
                                                <i class="fas fa-dice-d20 ammo-roll"></i>
                                                <img class="item-img" src="{{item.img}}">
                                                <div class="item-name">{{item.name}}</div>
                                            </div>
                                        </td>
                                        <td>{{item.data.damage}}</td>
                                        <td><button class="minusQty plusQty" title="Click to Increase, right-click to decrease">{{item.data.quantity}}</button></td>
                                        <td class="right-align-cell"><a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a></td>
                                    </tr>
                                {{/each}}
                            </tbody>
                        </table>

                        <table class="armor-table">
                            <thead>
                                <tr>
                                    <th class="item-name-cell equip-items" id="armor" data-alt-type="item">Armure</th>
                                    <th>AP</th>
                                    <th>AM</th>
                                    <th>PDS</th>
                                    <th class="right-align-cell"><i class="fas fa-trash"></i></th>
                                </tr>
                            </thead>
                            <tbody>
                                {{#each actor.data.armor.equipped as |item id|}}
                                    <tr class="item" data-item-id="{{item._id}}">
                                        <td class="item-name-cell">
                                            <div class="flex-container">
                                                <input type="checkbox" class="itemEquip checkbox" {{checked data.equipped}}>
                                                <img class="item-img" src="{{item.img}}">
                                                <div class="item-name">{{item.name}}</div>
                                            </div>
                                        </td>
                                        <td>{{item.data.armor}}</td>
                                        <td>{{item.data.magic_ar}}</td>
                                        <td>{{item.data.enc}}</td>
                                        <td class="right-align-cell"><a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a></td>
                                    </tr>
                                {{/each}}
                                {{#each actor.data.gear.equipped as |item id|}}
                                    <tr class="item" data-item-id="{{item._id}}">
                                        <td class="item-name-cell">
                                            <div class="flex-container">
                                                <input type="checkbox" class="itemEquip checkbox" {{checked data.equipped}}>
                                                <img class="item-img" src="{{item.img}}">
                                                <div class="item-name">{{item.name}}</div>
                                            </div>
                                        </td>
                                        <td>-</td>
                                        <td>-</td>
                                        <td>-</td>
                                        <td class="right-align-cell"><a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a></td>
                                    </tr>
                                {{/each}}
                            </tbody>
                        </table>
                    </div>

                    <div class="three-column-flex-container">
                        <div class="trait-container">
                            <h2 class="headerWithButton">
                                <button type="button" class="item-create" id="trait">+</button>
                                <label>Effect Passif</label>
                            </h2>
                            <ol class="single-column-list">
                                {{#each actor.data.trait as |item id|}}
                                    <li class="item" data-item-id="{{item._id}}">
                                        <div class="itemInfo">
                                            <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                            <div class="item-name">{{item.name}}</div>
                                        </div>
                                        <div class="item-controls">
                                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </li>
                                {{/each}}
                            </ol>
                        </div>
                        <div class="talent-container">
                            <h2 class="headerWithButton">
                                <button type="button" class="item-create" id="talent">+</button>
                                <label>Compétences</label>
                            </h2>
                            <ol class="single-column-list">
                                {{#each actor.data.talent as |item id|}}
                                    <li class="item" data-item-id="{{item._id}}">
                                        <div class="itemInfo">
                                            <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                            <div class="item-name">{{item.name}}</div>
                                        </div>
                                        <div class="item-controls">
                                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                        </div>
                                    </li>
                                {{/each}}
                            </ol>
                        </div>
                    </div>
                </div>
            </div>

            <div class="tab magic" data-group="primary" data-tab="magic">
                <div class="magicTabContainer">
                    <div class="combat-button-container">
                        <div class="combat-button professions-roll" name="Combat" id="combat">
                            <div class="flex-container">
                                <div class="combat-button-value">{{data.professions.combat}}</div>
                                <div class="combat-button-label">Combat</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Magic" id="magic">
                            <div class="flex-container">
                                <div class="combat-button-value">{{data.professions.magic}}</div>
                                <div class="combat-button-label">Magie</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Evade" id="evade">
                            <div class="flex-container">
                                <div class="combat-button-value">{{data.professions.evade}}</div>
                                <div class="combat-button-label">Evasion</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Physical" id="physical">
                            <div class="flex-container">
                                <div class="combat-button-value">{{data.professions.physical}}</div>
                                <div class="combat-button-label">Physique</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Observe" id="observe">
                            <div class="flex-container">
                                <div class="combat-button-value">{{data.professions.observe}}</div>
                                <div class="combat-button-label">Observation</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Stealth" id="stealth">
                            <div class="flex-container">
                                <div class="combat-button-value">{{data.professions.stealth}}</div>
                                <div class="combat-button-label">Furtivité</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Social" id="social">
                            <div class="flex-container">
                                <div class="combat-button-value">{{data.professions.social}}</div>
                                <div class="combat-button-label">Social</div>
                            </div>
                        </div>
                        <div class="combat-button professions-roll" name="Knowledge" id="knowledge">
                            <div class="flex-container">
                                <div class="combat-button-value">{{data.professions.knowledge}}</div>
                                <div class="combat-button-label">Connaissance</div>
                            </div>
                        </div>
                    </div>
                    <div class="spellListContainer">
                        <div class="spellList">
                            <table>
                                <thead>
                                    <tr>
                                        <th class="item-create item-name-cell" id="spell">+ Sort</th>
                                        <th>Cout Mana</th>
                                        <th>
                                            <select id="spellFilter">
                                                <option>Tout</option>
                                            </select>
                                        </th>
                                        <th><i class="fas fa-trash"></i></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {{#each actor.data.spell as |item id|}}
                                        <tr class="item active" data-item-id="{{item._id}}" data-spell-school="{{item.data.school}}">
                                            <td>
                                                <div class="tableItemNameCell">
                                                    <i class="fas fa-dice-d20 magic-roll"></i>
                                                    <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                                    <div class="item-name">{{item.name}}</div>
                                                </div>
                                            </td>
                                            <td>{{item.data.cost}}</td>
                                            <td>{{item.data.school}}</td>
                                            <td>
                                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    {{/each}}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

            <div class="tab equipment" data-group="primary" data-tab="equipment">
                <div class="equipmentTabContainer">
                    <div class="itemListContainer">
                        <div class="tableListHeader">
                            <div class="equipment-info-container">
                                <div class="wealthContainer">
                                    <h2>Argent</h2>
                                    <input type="number" name="data.wealth" value="{{data.wealth}}">
                                    <button type="button" class="wealthCalc">Ajout/Soustraire</button>
                                </div>
                            </div>
                        </div>
                        <div class="equipmentList">
                            <table>
                                <thead>
                                    <tr>
                                        <th class="item-name-cell item-create" id="createSelect">+ Item</th>
                                        <th>
                                            <select id="itemFilter">
                                                <option>Tout</option>
                                            </select>
                                        </th>
                                        <th>Poids</th>
                                        <th>Prix</th>
                                        <th><i class="fas fa-trash"></i></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {{#each actor.data.gear.unequipped as |item id|}}
                                        <tr class="item active" data-item-id="{{item._id}}" data-item-type="{{item.type}}">
                                            <td>
                                                <div class="tableItemNameCell">
                                                    <div class="qty-controls">
                                                        <button type="button" class="minusQty plusQty" title="Click to increase, right click to decrease">
                                                            <div>{{item.data.quantity}}</div>
                                                        </button>
                                                    </div>
                                                    <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                                    <div class="item-name">{{item.name}}</div>
                                                </div>
                                            </td>
                                            <td>item</td>
                                            <td>{{item.data.enc}}</td>
                                            <td>{{item.data.price}}</td>
                                            <td>
                                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    {{/each}}
                                    {{#each actor.data.armor.unequipped as |item id|}}
                                        <tr class="item active" data-item-id="{{item._id}}" data-item-type="{{item.type}}">
                                            <td>
                                                <div class="tableItemNameCell">
                                                    <div class="qty-controls">
                                                        <button type="button" class="minusQty plusQty" title="Click to increase, right click to decrease">
                                                            <div>{{item.data.quantity}}</div>
                                                        </button>
                                                    </div>
                                                    <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                                    <div class="item-name">{{item.name}}</div>
                                                </div>
                                            </td>
                                            <td>armure</td>
                                            <td>{{item.data.enc}}</td>
                                            <td>{{item.data.price}}</td>
                                            <td>
                                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    {{/each}}
                                    {{#each actor.data.weapon.unequipped as |item id|}}
                                        <tr class="item active" data-item-id="{{item._id}}" data-item-type="{{item.type}}">
                                            <td>
                                                <div class="tableItemNameCell">
                                                    <div class="qty-controls">
                                                        <button type="button" class="minusQty plusQty" title="Click to increase, right click to decrease">
                                                            <div>{{item.data.quantity}}</div>
                                                        </button>
                                                    </div>
                                                    <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                                    <div class="item-name">{{item.name}}</div>
                                                </div>
                                            </td>
                                            <td>arme</td>
                                            <td>{{item.data.enc}}</td>
                                            <td>{{item.data.price}}</td>
                                            <td>
                                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    {{/each}}
                                    {{#each actor.data.ammunition.unequipped as |item id|}}
                                        <tr class="item active" data-item-id="{{item._id}}" data-item-type="{{item.type}}">
                                            <td>
                                                <div class="tableItemNameCell">
                                                    <div class="qty-controls">
                                                        <button type="button" class="minusQty plusQty" title="Click to increase, right click to decrease">
                                                            <div>{{item.data.quantity}}</div>
                                                        </button>
                                                    </div>
                                                    <img class="item-img" src="{{item.img}}" title="Send to Chat"/>
                                                    <div class="item-name">{{item.name}}</div>
                                                </div>
                                            </td>
                                            <td>munition</td>
                                            <td>{{item.data.enc}}</td>
                                            <td>{{item.data.price}}</td>
                                            <td>
                                                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    {{/each}}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

        </section>
    </div>
</form>
